Subject: [netmod] syslog-model-18 shepherd writeup issues

From: Kent Watsen <[email-masked]>
Date: Fri, 5 Jan 2018 03:47:23 +0000

[Welcome to 2018!]

Hi Clyde,

In reviewing the -18 draft for Shepherd write-up, I found the following issues that I think need to be addressed before the document can be sent to Benoit for AD review:

1. I believe that there is a pending request from Tom on that has yet to be addressed: https://mailarchive.ietf.org/arch/msg/netmod/FkEzQeLJ31FiijFk-S-ojyafMdw

2. Idnits found the following.   Note, I'm aware that idnits, when run via the draft submission tool, doesn't show any issues, which is probably why you didn't fix these before. FWIW, I'm using the tool located at https://www.ietf.org/tools/idnits and do NOT select the "only do submission checks" box.

  Checking nits according to https://www.ietf.org/id-info/checklist :
  ----------------------------------------------------------------------------

  ** There is 1 instance of too long lines in the document, the longest one
     being 1 character in excess of 72.

  Checking references for intended status: Proposed Standard
  ----------------------------------------------------------------------------

     (See RFCs 3967 and 4897 for information about using normative references
     to lower-maturity documents in RFCs)

  == Missing Reference: 'RFC6021' is mentioned on line 374, but not defined

  ** Obsolete undefined reference: RFC 6021 (Obsoleted by RFC 6991)

  == Unused Reference: 'RFC6691' is defined on line 1446, but no explicit
     reference was found in the text

  == Unused Reference: 'RFC7895' is defined on line 1454, but no explicit
     reference was found in the text

  ** Downref: Normative reference to an Historic RFC: RFC 6587

  ** Downref: Normative reference to an Informational RFC: RFC 6691

3. In Section 4.1, [RFC xxxx] needs to be [I-D.ietf-netconf-keystore] and
   [RFC yyyy] needs to be [I-D.ietf-netconf-tls-client-server].

4. Also in Section 4.1, the reference statements for the ietf-keystore
   and ietf-tls-client modules are reversed.

5. This is more of a nit, but please fix the IANA Considerations section
   so it has two sections (i.e., 7.1 and 7.2), one for each registry that
   is updated.

6. This is definitely a nit, but in 7.1, "the the" --> "the".  also, something
   is wrong with your references in this section, as they're being rendered
   with XML bleeding thru (e.g., "]\>").  [PS: this is likely the root cause
   for the RFC7895 issue mentioned above].

7. In Section 7, the Registrant Contact should probably be "The IESG" (not 
   "The NETCONF WG of the IETF"), per RFC 3688, Section 4.

8. `rfcstrip` extracted "[email-masked]", which has a
   superfluous ".yang" in it.  [check your <CODE BEGINS> line]

9. The examples in Section 5 do not need to define the "xmlns:syslog" prefix,
   as the prefix isn't used anywhere in the examples.

10. In Section 6, please remove the line-return after each name.  E.g., the entire
   section could be one paragraph...

11. In Section 9.1, [draft-ietf-netconf-keystore-04.txt] needs to be
    [I-D.ietf-netconf-keystore] and [draft-ietf-netconf-tls-client-server-05.txt]
    needs to be [I-D.ietf-netconf-tls-client-server].   BTW, all this is automatic
    if, in your XML, you put e.g. <?rfc include="reference.I-D.ietf-netconf-keystore"?>

12. In Appendix A.1, the module name should begin with "example-", per rfc6087bis
   Section 3.2.1.

13. Also in Appendix A.1, the namespace should follow one of the conventions
    defined in rfc6087bis Section 4.9 (e.g., http://example.com/ns/syslog-types)

Reviewing my comments from -17 (https://mailarchive.ietf.org/arch/msg/netmod/fail7CzcRCsIIY-CxhT3xXjkCvc)

1. mostly fixed, except the downref to RFC 6587 (see #1 above)
2. I see you made a change, but it's still not right (see #6 above)
3. fixed
4. fixed
5. fixed
6. not fixed (see #1 above)
7. not fixed, but this may be okay (what the tree diagrams draft say?)
8. fixed
9. not fixed (see #1 above)
10. fixed
11. not fixed (there MUST be normative references in Section 
12. not fixed (see #5 above)

Reviewing my comments from -15 (https://mailarchive.ietf.org/arch/msg/netmod/10lo41Ud4A3ZN11s-0gOfCe8NSE)

1. ok
2. better
3. fixed
4. better
5. not fixed (but I can live with it)
6. not fixed. from 8174, you should add the part "when, and only when, they appear in all capitals, as shown here."
7. fixed
8. fixed
9. fixed
10. not fixed
11. better
12. better
13. fixed
14. fixed
15. fixed
16. fixed
17. fine
18. not fixed
19. fixed
20. fixed
21. fixed
22. fine

Thanks,
Kent // Shepherd